Retrieve a list

Returns a list of shift definitions.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/shift-definitions

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-shift-definitions.read

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Internal unique identifier for the shift definition.
name.default string — Read-only Default name value of the shift definition.
name.translations object — Read-only A list of translated names of the definition by language code.
code string — Read-only A shift code used for this definition.
friendlyName.default string — Read-only Default friendly name value for this definition shown to users.
friendlyName.translations object — Read-only A list of translated friendly names by language code.
isEnabled boolean — Read-only Indicates if the shift definition is enabled in myProtime.

Filters

This endpoint does not support filters. It always returns all shift definitions. A request that includes the filter query parameter is rejected with 400 Bad Request.

To retrieve one shift definition, use Retrieve a shift definition.

Pagination

This endpoint supports continuation token pagination. See the fetching resources guide for details on paginated requests.

External references

This endpoint does not support external references.

Error responses

Status Condition
400 Unsupported query parameter, such as filter
401 Missing or invalid access token, or insufficient scope

For background on how shift definitions influence other collections, see Shift definition behaviour.

Examples

Retrieving all shift definitions

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/shift-definitions